Skip to main content
GET
Get a delivery note by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

delivery_note_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Unique ID of the delivery note

created_at
string<date-time>
required

Time at which the delivery note was created. Timestamps follow the ISO 8601 standard.

updated_at
string<date-time>
required

Time at which the delivery note was last updated. Timestamps follow the ISO 8601 standard.

counterpart
object
required

Counterpart of the delivery note

counterpart_address
object
required

Address of the counterpart

counterpart_id
string<uuid>
required

ID of the counterpart

display_signature_placeholder
boolean
required

Whether to display a signature placeholder in the generated PDF

document_id
string
required

Document ID of the delivery note

entity
object
required

Entity that created the delivery note

entity_address
object
required

Address of the entity that created the delivery note

entity_id
string<uuid>
required

ID of the entity that created the delivery note

file_language
enum<string>
required

The language of the customer-facing PDF file (file_url). The value matches the counterpart's language at the time when this PDF file was generated.

Available options:
ab,
aa,
af,
ak,
sq,
am,
ar,
an,
hy,
av,
ae,
ay,
az,
bm,
ba,
eu,
be,
bn,
bi,
bs,
br,
bg,
my,
ca,
ch,
ce,
ny,
zh,
cu,
cv,
kw,
co,
cr,
hr,
cs,
da,
dv,
nl,
dz,
en,
eo,
et,
ee,
fo,
fj,
fi,
fr,
fy,
ff,
gd,
gl,
lg,
ka,
de,
el,
kl,
gn,
gu,
ht,
ha,
he,
hz,
hi,
ho,
hu,
io,
ig,
id,
ia,
ie,
iu,
ik,
ga,
it,
ja,
jv,
kn,
kr,
ks,
kk,
km,
ki,
rw,
ky,
kv,
kg,
ko,
kj,
ku,
lo,
la,
lv,
li,
ln,
lt,
lu,
lb,
mk,
mg,
ms,
ml,
mt,
gv,
mi,
mr,
mh,
mn,
na,
nv,
nd,
nr,
ng,
ne,
no,
nb,
nn,
ii,
oc,
oj,
om,
os,
pi,
ps,
fa,
pl,
pt,
pa,
qu,
ro,
rm,
rn,
ru,
se,
sm,
sg,
sa,
sc,
sr,
sn,
sd,
si,
sk,
sl,
so,
st,
es,
su,
sw,
ss,
sv,
tl,
ty,
tg,
ta,
tt,
te,
th,
bo,
ti,
to,
ts,
tn,
tr,
tk,
tw,
ug,
uk,
ur,
uz,
ve,
vi,
vo,
wa,
cy,
wo,
xh,
yi,
yo,
za,
zu
line_items
object[]
required

List of line items in the delivery note

Minimum array length: 1
original_file_language
enum<string>
required

The language of the entity's copy of the PDF file (original_file_url). The value matches the entity's language at the time when this PDF file was generated.

Available options:
ab,
aa,
af,
ak,
sq,
am,
ar,
an,
hy,
av,
ae,
ay,
az,
bm,
ba,
eu,
be,
bn,
bi,
bs,
br,
bg,
my,
ca,
ch,
ce,
ny,
zh,
cu,
cv,
kw,
co,
cr,
hr,
cs,
da,
dv,
nl,
dz,
en,
eo,
et,
ee,
fo,
fj,
fi,
fr,
fy,
ff,
gd,
gl,
lg,
ka,
de,
el,
kl,
gn,
gu,
ht,
ha,
he,
hz,
hi,
ho,
hu,
io,
ig,
id,
ia,
ie,
iu,
ik,
ga,
it,
ja,
jv,
kn,
kr,
ks,
kk,
km,
ki,
rw,
ky,
kv,
kg,
ko,
kj,
ku,
lo,
la,
lv,
li,
ln,
lt,
lu,
lb,
mk,
mg,
ms,
ml,
mt,
gv,
mi,
mr,
mh,
mn,
na,
nv,
nd,
nr,
ng,
ne,
no,
nb,
nn,
ii,
oc,
oj,
om,
os,
pi,
ps,
fa,
pl,
pt,
pa,
qu,
ro,
rm,
rn,
ru,
se,
sm,
sg,
sa,
sc,
sr,
sn,
sd,
si,
sk,
sl,
so,
st,
es,
su,
sw,
ss,
sv,
tl,
ty,
tg,
ta,
tt,
te,
th,
bo,
ti,
to,
ts,
tn,
tr,
tk,
tw,
ug,
uk,
ur,
uz,
ve,
vi,
vo,
wa,
cy,
wo,
xh,
yi,
yo,
za,
zu
status
enum<string>
required

Status of the delivery note

Available options:
created,
canceled,
delivered
based_on
string<uuid>

The unique ID of a previous document related to the delivery note if applicable.

based_on_document_id
string

The unique document ID of a previous document related to the delivery note if applicable.

created_by_entity_user_id
string<uuid>

ID of the user that created the delivery note

delivery_date
string<date>

Date of delivery

delivery_number
string

Delivery number

file_url
string

The delivery note's PDF URL in the customer-facing language.

memo
string

Additional information regarding the delivery note

original_file_url
string

The delivery note's PDF URL in the entity's language.